> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/88-mytshon-znmappuwozipsaretashpufairutoshiteekusupto.md).

# 88. ミューテーション: ゾーンマップをZIP圧縮されたシェープファイルとしてエクスポート

選択した「ZonesMap」をシェープファイルとして含むzipアーカイブを生成します。

{% hint style="info" %}
アーカイブはEPSG:4326の\*.shp、\*.shx、\*.prj、\*.dbfファイルで構成されます。
{% endhint %}

### 1. 準備

* 属性 `vectorAnalysisMaps` はエクスポートされるZonesMaps（VectorAnalysisMaps）オブジェクトの配列を含みます。各オブジェクトには一対の `fieldUuid` （選択されたFieldへの参照）と `uuid` （選択されたZonesMapへの参照）を含みます。
* ブール属性 `asMultiGeometry` はゾーンを次のどちらとしてエクスポートするかを決定します： `Polygons（ポリゴン）` または `MultiPolygons（マルチポリゴン）` （が `true` ).
* ブール属性 `onlyProductColumns` は、シェープファイルに製品（RX）を含む列のみを含めるかどうかを指定します（が `true`）。それ以外の場合は、すべての統計属性とゾーンIDが列として含まれます。
* 属性 `archiveName` は生成されるzipアーカイブの名前を保持します。
* 属性 `filePostfix` はエクスポートされるファイルおよびアーカイブにカスタムの接尾辞を追加することを可能にします。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. 生成されたアーカイブをダウンロードする

GraphQLクエリの実行後、次を使用してダウンロードできます： `curl` または同様の方法。

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/88-mytshon-znmappuwozipsaretashpufairutoshiteekusupto.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
